aboutsummaryrefslogtreecommitdiffstats
path: root/webui.sh
diff options
context:
space:
mode:
Diffstat (limited to 'webui.sh')
-rwxr-xr-xwebui.sh21
1 files changed, 12 insertions, 9 deletions
diff --git a/webui.sh b/webui.sh
index 15e65599..5c8d977c 100755
--- a/webui.sh
+++ b/webui.sh
@@ -114,16 +114,19 @@ fi
# Check prerequisites
gpu_info=$(lspci 2>/dev/null | grep -E "VGA|Display")
case "$gpu_info" in
- *"Navi 1"*)
- pyv="$(${python_cmd} -c 'import sys; print(".".join(map(str, sys.version_info[0:2])))')"
- if [[ $(bc <<< "$pyv <= 3.10") -eq 1 ]]
+ *"Navi 1"*)
+ export HSA_OVERRIDE_GFX_VERSION=10.3.0
+ if [[ -z "${TORCH_COMMAND}" ]]
then
- export HSA_OVERRIDE_GFX_VERSION=10.3.0
- # Navi users will still use torch 1.13 because 2.0 does not seem to work.
- export TORCH_COMMAND="pip install torch==1.13.1+rocm5.2 torchvision==0.14.1+rocm5.2 --index-url https://download.pytorch.org/whl/rocm5.2"
- else
- printf "\e[1m\e[31mERROR: RX 5000 series GPUs must be using at max python 3.10, aborting...\e[0m"
- exit 1
+ pyv="$(${python_cmd} -c 'import sys; print(".".join(map(str, sys.version_info[0:2])))')"
+ if [[ $(bc <<< "$pyv <= 3.10") -eq 1 ]]
+ then
+ # Navi users will still use torch 1.13 because 2.0 does not seem to work.
+ export TORCH_COMMAND="pip install torch==1.13.1+rocm5.2 torchvision==0.14.1+rocm5.2 --index-url https://download.pytorch.org/whl/rocm5.2"
+ else
+ printf "\e[1m\e[31mERROR: RX 5000 series GPUs must be using at max python 3.10, aborting...\e[0m"
+ exit 1
+ fi
fi
;;
*"Navi 2"*) export HSA_OVERRIDE_GFX_VERSION=10.3.0